Skip to main content
POST
/
employee_benefit_line_items
Create an employee benefit line item
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/employee_benefit_line_items \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pay_stub_id": "<id>",
  "employee_benefit_type": "dental",
  "title": "Dental",
  "custom_tag_assignment": {
    "unit": "percentage",
    "tag_allocations": [
      {
        "tags": [
          "<id>"
        ],
        "value": 100
      }
    ]
  }
}
'
{
  "id": "<id>",
  "object": "employee_benefit_line_item",
  "data": {
    "pay_stub": {
      "id": "<id>",
      "object": "pay_stub",
      "links": {
        "self": "/pay_stubs/<id>"
      }
    },
    "line_item_type": "employee_benefit",
    "is_managed": false,
    "amount": 0,
    "custom_amount": null,
    "managed_amount": null,
    "employee_benefit_type": {
      "id": "<id>",
      "object": "employee_benefit_type",
      "data": {
        "type": "dental",
        "label": "Dental"
      },
      "links": {
        "self": "/employee_benefit_types/dental"
      }
    },
    "recurrence": null,
    "title": "Dental",
    "title_translations": null,
    "title_translated": "Dental",
    "remittance_account_id": null,
    "remittance_account": null,
    "business_preset": null,
    "source_adjustment": null,
    "expense_accounting_code": null,
    "managed_expense_accounting_code": null,
    "custom_expense_accounting_code": null,
    "liability_accounting_code": null,
    "managed_liability_accounting_code": null,
    "custom_liability_accounting_code": null,
    "component_settings": {
      "attributes_locked": false
    },
    "external_ref": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/employee_benefit_line_items/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
pay_stub_id
string
required
business_preset_id
string
employee_benefit_type
enum<string>

The type of Employee Benefit for this line item.

Must be present when business_preset_id is either empty or not set.

Available options:
accident_insurance_plan,
critical_illness,
debt_relief,
dental,
employee_assistance_program,
fondaction,
fondaction_rrsp,
fonds_solidarite_ftq,
fonds_solidarite_ftq_rrsp,
group_dependent_life_insurance,
group_term_life_insurance,
health,
health_spending_account,
long_term_disability,
non_group_long_term_disability,
non_group_short_term_disability,
pension_dbpp,
pension_dcpp,
pension_mfpp,
pension_prpp,
pension_restricted_rrsp,
pension_rrsp,
pension_rrsp_non_periodic,
pension_unregistered_prpp,
pension_vrsp,
profit_sharing_dpsp,
savings_tfsa,
second_opinion_medical_consultation,
short_term_disability,
virtual_health_service,
wellness_spending_account
custom_amount
number<decimal>

An override for managed_amount. When set, amount reflects this value instead of managed_amount.

Required range: x <= 99999
title
string | null
Maximum string length: 255
title_translations
object

Optional translations for the title property.

remittance_account_id
string
expense_accounting_code_id
string
custom_expense_accounting_code_id
string
liability_accounting_code_id
string
custom_liability_accounting_code_id
string
component_settings
object
external_ref
string
Maximum string length: 255
custom_tag_assignment
object

Response

201 - application/json

Created

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("employee_benefit_line_item").

data
Employee Benefit Line Item · object